# readhand.py
#
# This script reads a sequence of hand postures from the given file and renders them;
# when done, the read poses form frames in an animation


 import poser
scene = poser.Scene()
import sys
sys.path = sys.path + ['c:\\greg\\Poser\\py']

from humanparam import * 
from handparam import *
from scenemanip import *
import os
from time import sleep

paramlist=map(lambda x: ['Right '+x[0][0], x[0][1]], handparams);

#print str(paramlist)

params = captureParam(paramlist);
savedfile=open('c:\\greg\\Poser\\savedhand.txt','w');
writeparam(savedfile,paramlist);
savedfile.close()

infilename='c:\\greg\\Poser\\hands.txt'
file=open(infilename,'r');

# read in pose
pose=[None];
fr=0;
while len(pose)>0:

    scene.SetFrame(fr);
    fr=fr+1;
    pose=readParam(file,paramlist);
    if len(pose)>0:
        restoreParams(pose);
        scene.DrawAll();
        frname='c:\\greg\\Poser\\hands\\hnd%05d' % fr
        stereoshot(frname,sil=False,stereo=False);
    

file.close()

