import poser
import sys
sys.path = sys.path + ['c:\\greg\\Poser\\py']
import os

outdir = 'c:\\greg\\hand\\renderedShapes\\stimuli\\grasp\\female\\';

template = 'leftGrasp2G%+4.2f';

nFrames = 80.0;

rangeFinger = [10.0, -55.0];
stepFinger = (rangeFinger[1]-rangeFinger[0])/nFrames;

rangeThumb = [0.0, 40.0];
stepThumb = (rangeThumb[1]-rangeThumb[0])/nFrames;
n = 0;

scene = poser.Scene();
fig = scene.CurrentFigure()


def phalangs(fig,name):
    return [
        fig.Actor(name + '1'),
        fig.Actor(name + '2'),
        fig.Actor(name + '3')]


bendFinger = rangeFinger[0];
bendThumb = rangeThumb[0];
while  n < nFrames+1:
    # bend the four fingers
    for f in ['Index','Mid','Ring','Pinky']:
        ph = phalangs(fig,'l'+f);
        map(lambda x,y: x.SetParameter('Bend',y), ph,3*[bendFinger]);
    
    fig.Actor('lThumb2').SetParameter('Bend',bendThumb);
    fig.Actor('lThumb3').SetParameter('Bend',bendThumb);

    scene.Render()
    iname = template % (bendFinger)
    scene.SaveImage("jpg",outdir+iname+'.jpg')
    
    
    bendFinger = bendFinger + stepFinger;
    bendThumb = bendThumb + stepThumb;
    n = n + 1;


