# a fix for an apparent bug in Poser by renaming the Twist parameter for all 
# body parts to TwistY (the manipulation scripts depend on it, assuming this 
# renaming has been done!)

import poser
scene=poser.Scene()
fig=scene.Figure("Figure 1");

for act in fig.Actors():
    for p in act.Parameters():
        inName=p.InternalName();
        if p.Name()=="Twist" and inName[0:min(len(inName),5)] != "twist":
            p.SetName("TwistY");

