# readparam.py
#
# Read a pose (i.e. angles) from a file, and apply it
# Interpretation of parameters is based on the file set in variable PARAMFILE
# or, if it's None, on the global humanparams (defined in humanparam.py)

import poser
scene = poser.Scene()

import sys
# update the path to include our files
sys.path = sys.path + ['c:\\greg\\Poser\\py']
from humanparam import *
from scenemanip import *

PARAMFILE = "c:\\greg\\Poser\\paramList.txt"

# set the list (parameter interpretation)
if PARAMFILE==None:
    pars=map(lambda x: x[0], humanparams)
else:
    pars=readParamList(PARAMFILE);

# read parameters from file
dirname="c:\\greg\\Poser\\test"
logf = open(dirname+"\\"+"savedparam.txt","r")
param=readParam(logf,pars)
logf.close()
# apply pose and render
restoreParams(param)
scene.Figure("Figure 1").DropToFloor()
poser.Scene().DrawAll();

