# setscale.py
#
# Define setscale(x,y,z) that traverses the actor tree, setting the three
# scales to the desired values (0 to 1)

def setscale(x=1,y=1,z=1):
    import poser
    scene = poser.Scene()
    for fig in scene.Figures():
        act = scene.Figure(fig.Name()).Actor("Body")
        act.SetParameter("xScale",x)
        act.SetParameter("yScale",y)
        act.SetParameter("zScale",z)
